Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 1313)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 1314)
@@ -44,5 +44,5 @@
 #-Q- ifort_CICLAD #PBS -m a
 #-Q- ifort_CICLAD #PBS -j oe
-#-Q- ifort_CICLAD #PBS -q h12
+#-Q- ifort_CICLAD ###PBS -q h12       # Queue for 12 hours at ciclad only
 #-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 1313)
+++ /trunk/libIGCM/AA_create_se	(revision 1314)
@@ -44,5 +44,5 @@
 #-Q- ifort_CICLAD #PBS -m a
 #-Q- ifort_CICLAD #PBS -j oe
-#-Q- ifort_CICLAD #PBS -q h12
+#-Q- ifort_CICLAD ###PBS -q h12       # Queue for 12 hours at ciclad only
 #-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 1313)
+++ /trunk/libIGCM/AA_create_ts	(revision 1314)
@@ -44,5 +44,5 @@
 #-Q- ifort_CICLAD #PBS -m a
 #-Q- ifort_CICLAD #PBS -j oe
-#-Q- ifort_CICLAD #PBS -q h12
+#-Q- ifort_CICLAD ###PBS -q h12       # Queue for 12 hours at ciclad only
 #-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 1313)
+++ /trunk/libIGCM/AA_job	(revision 1314)
@@ -59,5 +59,5 @@
 #-Q- ifort_CICLAD #PBS -m a
 #-Q- ifort_CICLAD #PBS -j oe
-#-Q- ifort_CICLAD #PBS -q h12
+#-Q- ifort_CICLAD ###PBS -q h12   # Queue for 12 hours at ciclad only
 #-Q- ifort_CICLAD #PBS -o Script_Output_::Jobname::.000001
 #-Q- ifort_CICLAD #PBS -S /bin/ksh
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 1313)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 1314)
@@ -72,6 +72,11 @@
         . ${libIGCM}/libIGCM_sys/libIGCM_sys_obelix.ksh;;
     ciclad*)
-        [ ! X${TaskType} = Xchecking ] && echo "sys source ciclad lib."
-        CENTER=IPSL
+        [ ! X${TaskType} = Xchecking ] && echo "sys source ciclad lib for running at ciclad."
+        CENTER=IPSL-ciclad
+        SYSTEM=ifort_CICLAD
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_ciclad.ksh;;
+    camelot*|loholt1*|loholt2*|merlin*)
+        [ ! X${TaskType} = Xchecking ] && echo "sys source ciclad lib for running at climserv."
+        CENTER=IPSL-climserv
         SYSTEM=ifort_CICLAD
         . ${libIGCM}/libIGCM_sys/libIGCM_sys_ciclad.ksh;;
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh	(revision 1313)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh	(revision 1314)
@@ -96,9 +96,16 @@
 # Set environment tools (ferret, nco, cdo, rebuild, ...)
 #====================================================
-. /home/igcmg/.atlas_env_ciclad_ksh
+if [ $CENTER == IPSL-ciclad ] ; then
+    # At ciclad
+    export PATH=${PATH}:/home/igcmg/rebuild/src_X64_CICLAD/modipsl_v2_2_3_netcdf4.2/bin/
+    . /home/igcmg/.atlas_env_ciclad_ksh
+else
+    # At climserv use the same files stored at ciclad but adapt the path
+    export PATH=${PATH}:/ciclad-home/igcmg/rebuild/src_X64_CICLAD/modipsl_v2_2_3_netcdf4.2/bin/
+    . /ciclad-home/igcmg/.atlas_env_ciclad_ksh
+fi
+
 [ ! X${TaskType} = Xchecking ] && IGCM_debug_Print 1 "List of loaded modules:"
 [ ! X${TaskType} = Xchecking ] && module list
-
-export PATH=${PATH}:/home/igcmg/rebuild/src_X64_CICLAD/modipsl_v2_2_3_netcdf4.2/bin/
 
 #====================================================
@@ -134,5 +141,9 @@
 #- RUN_DIR_PATH : Temporary working directory (=> TMP)
 if [ X${PBS_JOBID} != X ] ; then
-  typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=/data/${LOGIN}/RUN_DIR/${PBS_JOBID}_${$}}
+    if [ $CENTER == IPSL-ciclad ] ; then
+	typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=/data/${LOGIN}/RUN_DIR/${PBS_JOBID}_${$}}
+    else
+	typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=/homedata/${LOGIN}/RUN_DIR/${PBS_JOBID}_${$}}
+    fi
 else
   typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=/tmp/tmp$$}
@@ -184,5 +195,11 @@
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    ARCHIVE=${ARCHIVE:=/data/${LOGIN}}
+    if [ $CENTER == IPSL-ciclad ] ; then
+	# At ciclad
+   	ARCHIVE=${ARCHIVE:=/data/${LOGIN}}
+    else
+	# At climserv
+	ARCHIVE=${ARCHIVE:=/homedata/${LOGIN}}
+    fi
   fi
 