Index: trunk/libIGCM/libIGCM_ensemble/libIGCM_ensemble.ksh
===================================================================
--- trunk/libIGCM/libIGCM_ensemble/libIGCM_ensemble.ksh	(revision 1343)
+++ trunk/libIGCM/libIGCM_ensemble/libIGCM_ensemble.ksh	(revision 1344)
@@ -334,12 +334,12 @@
 
         # Dump command to be lauched
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qsub.${StartDir}.sh
-        echo "${SUBMIT} ${JobName} ; cd -"     >> ${RUN_DIR}/Qsub.${StartDir}.sh
-
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qclean.month.${StartDir}.sh
-        echo "${libIGCM}/clean_month.job ; cd -"     >> ${RUN_DIR}/Qclean.month.${StartDir}.sh
-
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qclean.year.${StartDir}.sh
-        echo "${libIGCM}/clean_year.job ; cd -"     >> ${RUN_DIR}/Qclean.year.${StartDir}.sh
+        echo "cd ${StartDir}/${MemberDir}/ ;"               >> ${RUN_DIR}/Qsub.${StartDir}.sh
+        echo "${SUBMIT} ${JobName} ; cd -"                  >> ${RUN_DIR}/Qsub.${StartDir}.sh
+
+        echo "cd ${StartDir}/${MemberDir}/ ;"               >> ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh
+        echo "${libIGCM}/clean_PeriodLenght.job ; cd -"     >> ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh
+
+        echo "cd ${StartDir}/${MemberDir}/ ;"               >> ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh
+        echo "${libIGCM}/clean_latestPackPeriod.job ; cd -" >> ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh
 
         # * Update files : config.card, Job_, COMP/comp.card
@@ -355,6 +355,6 @@
     # Done. Save ${StartDir} submission text file
     IGCM_sys_Cp ${RUN_DIR}/Qsub.${StartDir}.sh ${SUBMIT_DIR}
-    IGCM_sys_Cp ${RUN_DIR}/Qclean.month.${StartDir}.sh ${SUBMIT_DIR}
-    IGCM_sys_Cp ${RUN_DIR}/Qclean.year.${StartDir}.sh ${SUBMIT_DIR}
+    IGCM_sys_Cp ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh ${SUBMIT_DIR}
+    IGCM_sys_Cp ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh ${SUBMIT_DIR}
 
   # - Next DateBegin
@@ -452,12 +452,12 @@
 
         # Dump command to be lauched
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> Qsub.${StartDir}.sh
-        echo "${SUBMIT} ${JobName} ; cd -"     >> Qsub.${StartDir}.sh
-
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qclean.month.${StartDir}.sh
-        echo "${libIGCM}/clean_month.job ; cd -"     >> ${RUN_DIR}/Qclean.month.${StartDir}.sh
-
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qclean.year.${StartDir}.sh
-        echo "${libIGCM}/clean_year.job ; cd -"     >> ${RUN_DIR}/Qclean.year.${StartDir}.sh
+        echo "cd ${StartDir}/${MemberDir}/ ;"              >> Qsub.${StartDir}.sh
+        echo "${SUBMIT} ${JobName} ; cd -"                 >> Qsub.${StartDir}.sh
+
+        echo "cd ${StartDir}/${MemberDir}/ ;"              >> ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh
+        echo "${libIGCM}/clean_PeriodLenght.job ; cd -"    >> ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh
+
+        echo "cd ${StartDir}/${MemberDir}/ ;"               >> ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh
+        echo "${libIGCM}/clean_latestPackPeriod.job ; cd -" >> ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh
 
         # * Update files : config.card, Job_, COMP/comp.card
@@ -477,6 +477,6 @@
     # Done. Save ${StartDir} submission text file
     IGCM_sys_Cp ${RUN_DIR}/Qsub.${StartDir}.sh ${SUBMIT_DIR}
-    IGCM_sys_Cp ${RUN_DIR}/Qclean.month.${StartDir}.sh ${SUBMIT_DIR}
-    IGCM_sys_Cp ${RUN_DIR}/Qclean.year.${StartDir}.sh ${SUBMIT_DIR}
+    IGCM_sys_Cp ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh ${SUBMIT_DIR}
+    IGCM_sys_Cp ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh ${SUBMIT_DIR}
 
     (( DateNum = DateNum + 1 ))
@@ -559,12 +559,12 @@
 
       # Dump command to be lauched
-      echo "cd ${StartDir}/${MemberDir}/ ;"     >> ${RUN_DIR}/Qsub.${StartDir}.sh
-      echo "${SUBMIT} ${JobName} ; cd -"        >> ${RUN_DIR}/Qsub.${StartDir}.sh
-
-      echo "cd ${StartDir}/${MemberDir}/ ;"     >> ${RUN_DIR}/Qclean.month.${StartDir}.sh
-      echo "${libIGCM}/clean_month.job ; cd -"  >> ${RUN_DIR}/Qclean.month.${StartDir}.sh
-
-      echo "cd ${StartDir}/${MemberDir}/ ;"     >> ${RUN_DIR}/Qclean.year.${StartDir}.sh
-      echo "${libIGCM}/clean_year.job ; cd -"   >> ${RUN_DIR}/Qclean.year.${StartDir}.sh
+      echo "cd ${StartDir}/${MemberDir}/ ;"                >> ${RUN_DIR}/Qsub.${StartDir}.sh
+      echo "${SUBMIT} ${JobName} ; cd -"                   >> ${RUN_DIR}/Qsub.${StartDir}.sh
+
+      echo "cd ${StartDir}/${MemberDir}/ ;"                >> ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh
+      echo "${libIGCM}/clean_PeriodLenght.job ; cd -"      >> ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh
+
+      echo "cd ${StartDir}/${MemberDir}/ ;"                >> ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh
+      echo "${libIGCM}/clean_latestPackPeriod.job ; cd -"  >> ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh
 
       # * Update files : config.card, Job_, COMP/comp.card
@@ -580,6 +580,6 @@
   # Done. Save ${StartDir} submission text file
   IGCM_sys_Cp ${RUN_DIR}/Qsub.${StartDir}.sh ${SUBMIT_DIR}
-  IGCM_sys_Cp ${RUN_DIR}/Qclean.month.${StartDir}.sh ${SUBMIT_DIR}
-  IGCM_sys_Cp ${RUN_DIR}/Qclean.year.${StartDir}.sh ${SUBMIT_DIR}
+  IGCM_sys_Cp ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh ${SUBMIT_DIR}
+  IGCM_sys_Cp ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh ${SUBMIT_DIR}
 
   IGCM_debug_PopStack "IGCM_ensemble_CastMemberList"
@@ -1144,12 +1144,12 @@
 
         # Dump command to be lauched
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qsub.${StartDir}.sh
-        echo "${SUBMIT} ${JobName} ; cd -"     >> ${RUN_DIR}/Qsub.${StartDir}.sh
-
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qclean.month.${StartDir}.sh
-        echo "${libIGCM}/clean_month.job ; cd -"     >> ${RUN_DIR}/Qclean.month.${StartDir}.sh
-
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qclean.year.${StartDir}.sh
-        echo "${libIGCM}/clean_year.job ; cd -"     >> ${RUN_DIR}/Qclean.year.${StartDir}.sh
+        echo "cd ${StartDir}/${MemberDir}/ ;"               >> ${RUN_DIR}/Qsub.${StartDir}.sh
+        echo "${SUBMIT} ${JobName} ; cd -"                  >> ${RUN_DIR}/Qsub.${StartDir}.sh
+
+        echo "cd ${StartDir}/${MemberDir}/ ;"               >> ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh
+        echo "${libIGCM}/clean_PeriodLenght.job ; cd -"     >> ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh
+
+        echo "cd ${StartDir}/${MemberDir}/ ;"               >> ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh
+        echo "${libIGCM}/clean_latestPackPeriod.job ; cd -" >> ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh
 
         # * Update files : config.card, Job_, COMP/comp.card
@@ -1174,6 +1174,6 @@
   # Done. Save ${StartDir} submission text file
   IGCM_sys_Cp ${RUN_DIR}/Qsub.${StartDir}.sh ${SUBMIT_DIR}
-  IGCM_sys_Cp ${RUN_DIR}/Qclean.month.${StartDir}.sh ${SUBMIT_DIR}
-  IGCM_sys_Cp ${RUN_DIR}/Qclean.year.${StartDir}.sh ${SUBMIT_DIR}
+  IGCM_sys_Cp ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh ${SUBMIT_DIR}
+  IGCM_sys_Cp ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh ${SUBMIT_DIR}
 
   IGCM_debug_PopStack "IGCM_ensemble_DatePeriodicStarts"
@@ -1249,12 +1249,12 @@
 
         # Dump command to be lauched
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qsub.${StartDir}.sh
-        echo "${SUBMIT} ${JobName} ; cd -"     >> ${RUN_DIR}/Qsub.${StartDir}.sh
-
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qclean.month.${StartDir}.sh
-        echo "${libIGCM}/clean_month.job ; cd -"     >> ${RUN_DIR}/Qclean.month.${StartDir}.sh
-
-        echo "cd ${StartDir}/${MemberDir}/ ;"  >> ${RUN_DIR}/Qclean.year.${StartDir}.sh
-        echo "${libIGCM}/clean_year.job ; cd -"     >> ${RUN_DIR}/Qclean.year.${StartDir}.sh
+        echo "cd ${StartDir}/${MemberDir}/ ;"                >> ${RUN_DIR}/Qsub.${StartDir}.sh
+        echo "${SUBMIT} ${JobName} ; cd -"                   >> ${RUN_DIR}/Qsub.${StartDir}.sh
+
+        echo "cd ${StartDir}/${MemberDir}/ ;"                >> ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh
+        echo "${libIGCM}/clean_PeriodLenght.job ; cd -"      >> ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh
+
+        echo "cd ${StartDir}/${MemberDir}/ ;"                >> ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh
+        echo "${libIGCM}/clean_latestPackPeriod.job ; cd -"  >> ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh
 
         # * Update files : config.card, Job_, COMP/comp.card
@@ -1267,6 +1267,6 @@
     # Done. Save ${StartDir} submission text file
     IGCM_sys_Cp ${RUN_DIR}/Qsub.${StartDir}.sh ${SUBMIT_DIR}
-    IGCM_sys_Cp ${RUN_DIR}/Qclean.month.${StartDir}.sh ${SUBMIT_DIR}
-    IGCM_sys_Cp ${RUN_DIR}/Qclean.year.${StartDir}.sh ${SUBMIT_DIR}
+    IGCM_sys_Cp ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh ${SUBMIT_DIR}
+    IGCM_sys_Cp ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh ${SUBMIT_DIR}
 
     (( DateNum = DateNum + 1 ))
@@ -1275,6 +1275,6 @@
   # Done. Save ${StartDir} submission text file
   IGCM_sys_Cp ${RUN_DIR}/Qsub.${StartDir}.sh ${SUBMIT_DIR}
-  IGCM_sys_Cp ${RUN_DIR}/Qclean.month.${StartDir}.sh ${SUBMIT_DIR}
-  IGCM_sys_Cp ${RUN_DIR}/Qclean.year.${StartDir}.sh ${SUBMIT_DIR}
+  IGCM_sys_Cp ${RUN_DIR}/Qclean.PeriodLenght.${StartDir}.sh ${SUBMIT_DIR}
+  IGCM_sys_Cp ${RUN_DIR}/Qclean.latestPackPeriod.${StartDir}.sh ${SUBMIT_DIR}
 
   IGCM_debug_PopStack "IGCM_ensemble_DateNonPeriodicStarts"