Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 1391)
+++ /trunk/libIGCM/AA_job	(revision 1392)
@@ -14,5 +14,4 @@
 #-Q- curie #MSUB -T 86400              # Wall clock limit (seconds)
 #-Q- curie #MSUB -q standard           # thin nodes
-#-Q- curie #MSUB -U medium             # priority within a project
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie # Below specific options that can be activated 
Index: /trunk/libIGCM/AA_purge_simulation
===================================================================
--- /trunk/libIGCM/AA_purge_simulation	(revision 1391)
+++ /trunk/libIGCM/AA_purge_simulation	(revision 1392)
@@ -63,4 +63,9 @@
 ( ${DEBUG_debug} ) && IGCM_date_Check
 
+if [ ! -f ${SUBMIT_DIR}/config.card ] ; then
+  echo "A config.card is needed to proceed"
+  exit
+fi
+
 #==================================
 # First of all
Index: /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1391)
+++ /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1392)
@@ -828,7 +828,7 @@
       for Potential in $( ls ${Script_Output_Prefix}_${config_UserChoices_JobName}.[0-9][0-9][0-9][0-9][0-9][0-9] ) ; do
         if [ X${Pack} = Xtrue ] ; then
-          ( IGCM_sys_TestFileBuffer  ${R_BUF_KSH}/${Potential} ) || IGCM_sys_Cp ${Potential} ${R_BUF_KSH}/${Potential}.$$
+          ( IGCM_sys_TestFileBuffer  ${R_BUF_KSH}/${Potential} ) || IGCM_sys_PutBuffer_Out ${Potential} ${R_BUF_KSH}/${Potential}.$$ NOCHMOD
         else
-          ( IGCM_sys_TestFileArchive ${R_OUT_KSH}/${Potential} ) || IGCM_sys_Cp ${Potential} ${R_OUT_KSH}/${Potential}.$$
+          ( IGCM_sys_TestFileArchive ${R_OUT_KSH}/${Potential} ) || IGCM_sys_Put_Out ${Potential} ${R_OUT_KSH}/${Potential}.$$ NOCHMOD
         fi
       done
@@ -836,8 +836,9 @@
       IGCM_debug_Print 2 "Save current run.card"
       IGCM_card_CheckConflict run.card
+
       if [ X${Pack} = Xtrue ] ; then
-        IGCM_sys_Cp ${SUBMIT_DIR}/run.card ${R_BUF_KSH}/run.card
+        IGCM_sys_PutBuffer_Out ${SUBMIT_DIR}/run.card ${R_BUF_KSH}/${PREFIX}_${Exe_Output} NOCHMOD
       else
-        IGCM_sys_Cp ${SUBMIT_DIR}/run.card ${R_OUT_KSH}/run.card
+        IGCM_sys_Put_Out ${SUBMIT_DIR}/run.card ${R_OUT_KSH}/${PREFIX}_${Exe_Output} NOCHMOD
       fi
       #
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1391)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1392)
@@ -807,4 +807,46 @@
 
   IGCM_debug_PopStack "IGCM_sys_GetDate_Monitoring"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_Dods_Rm
+#D-* Purpose: DO NOTHING ! Put ${ARCHIVE} files on DODS internet protocole.
+#D-* Examples:
+#D-
+function IGCM_sys_Dods_Rm {
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Dods_Rm :" $@
+  fi
+
+  typeset status
+  if [ $DRYRUN = 0 ]; then
+    if [ "$#" -eq 1 ]; then
+      rsh ${STOREHOST} exec /bin/ksh <<EOF
+          cd ${R_SAVE}
+          /arch/local/bin/dods_rm DODS/pub/${LOGIN}/${R_DODS}/${1} > /dev/null 2>&1
+EOF
+      status=$?
+    else
+      rsh ${STOREHOST} exec /bin/ksh <<EOF
+          cd ${R_SAVE}
+          /arch/local/bin/dods_rm DODS/pub/${LOGIN}/${R_DODS} > /dev/null 2>&1
+EOF
+      status=$?
+    fi
+  fi
+
+  return ${status}
+}
+
+#D-#==================================================
+#D-function IGCM_sys_Dods_Cp
+#D-* Purpose: Copy $(ARCHIVE) files on DODS internet protocole.
+#D-* Examples:
+#D-
+function IGCM_sys_Dods_Cp {
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Dods_Cp :" $@
+  fi
+  return 0
 }
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1391)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1392)
@@ -922,6 +922,11 @@
 #    fi
 
-    /ccc/cont003/home/dsm/p86ipsl/bin/dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
-    status=$?
+    if [ "$#" -eq 1 ]; then
+      /ccc/cont003/home/dsm/p86ipsl/bin/dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
+      status=$?
+    else
+      /ccc/cont003/home/dsm/p86ipsl/bin/dods_rm public/${LOGIN}/${R_DODS} # > out_dods_rm 2>&1
+      status=$?
+    fi
 
 #    if [ ${status} -gt 0 ] ; then