Index: trunk/libIGCM/AA_RunChecker
===================================================================
--- trunk/libIGCM/AA_RunChecker	(revision 1436)
+++ trunk/libIGCM/AA_RunChecker	(revision 1437)
@@ -13,4 +13,5 @@
 # ID of your genci project. Curie only : post-processing jobs need it to run properly
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project:: 
+#-Q- irene export BRIDGE_MSUB_PROJECT=::default_project:: 
 
 #======================================================================#
Index: trunk/libIGCM/AA_SE_Checker
===================================================================
--- trunk/libIGCM/AA_SE_Checker	(revision 1436)
+++ trunk/libIGCM/AA_SE_Checker	(revision 1437)
@@ -13,4 +13,5 @@
 # ID of your genci project. Curie only : post-processing jobs need it to run properly
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project:: 
+#-Q- irene export BRIDGE_MSUB_PROJECT=::default_project:: 
 
 #D- Task type DO NOT CHANGE (computing, post-processing or checking)
Index: trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- trunk/libIGCM/AA_SaveSourceModifications	(revision 1436)
+++ trunk/libIGCM/AA_SaveSourceModifications	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r SaveSource   # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 7200         # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_TimeSeries_Checker
===================================================================
--- trunk/libIGCM/AA_TimeSeries_Checker	(revision 1436)
+++ trunk/libIGCM/AA_TimeSeries_Checker	(revision 1437)
@@ -13,5 +13,5 @@
 # ID of your genci project. Curie only : post-processing jobs need it to run properly
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project:: 
-#-Q- irene export BRIDGE_MSUB_PROJECT=gch0316 
+#-Q- irene export BRIDGE_MSUB_PROJECT=::default_project:: 
 
 #D- Task type DO NOT CHANGE (computing, post-processing or checking)
Index: trunk/libIGCM/AA_additionnal
===================================================================
--- trunk/libIGCM/AA_additionnal	(revision 1436)
+++ trunk/libIGCM/AA_additionnal	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r ATL_ADD      # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 7200         # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- trunk/libIGCM/AA_atlas_LMDZ	(revision 1436)
+++ trunk/libIGCM/AA_atlas_LMDZ	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r ATL_LMDZ      # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 7200          # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1436)
+++ trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r ATL_OPA      # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 7200         # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1436)
+++ trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r ATL_ORCH      # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 7200          # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- trunk/libIGCM/AA_atlas_PISCES	(revision 1436)
+++ trunk/libIGCM/AA_atlas_PISCES	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r ATL_PIS      # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 7200         # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_clean_PeriodLength
===================================================================
--- trunk/libIGCM/AA_clean_PeriodLength	(revision 1436)
+++ trunk/libIGCM/AA_clean_PeriodLength	(revision 1437)
@@ -12,4 +12,5 @@
 # ID of your genci project. Curie only : post-processing jobs need it to run properly
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project::
+#-Q- irene export BRIDGE_MSUB_PROJECT=::default_project::
 
 #set -eu
Index: trunk/libIGCM/AA_clean_latestPackperiod
===================================================================
--- trunk/libIGCM/AA_clean_latestPackperiod	(revision 1436)
+++ trunk/libIGCM/AA_clean_latestPackperiod	(revision 1437)
@@ -12,4 +12,5 @@
 # ID of your genci project. Curie only : post-processing jobs need it to run properly
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project:: 
+#-Q- irene export BRIDGE_MSUB_PROJECT=::default_project:: 
 
 #set -eu
Index: trunk/libIGCM/AA_create_multi_se
===================================================================
--- trunk/libIGCM/AA_create_multi_se	(revision 1436)
+++ trunk/libIGCM/AA_create_multi_se	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r MULTISE      # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 7200         # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_create_se
===================================================================
--- trunk/libIGCM/AA_create_se	(revision 1436)
+++ trunk/libIGCM/AA_create_se	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r SE            # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 36000         # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 1436)
+++ trunk/libIGCM/AA_create_ts	(revision 1437)
@@ -21,5 +21,5 @@
 #-Q- irene #MSUB -c 4
 #-Q- irene #MSUB -Q normal
-#-Q- irene #MSUB -A gch0316
+#-Q- irene #MSUB -A ::default_project::
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
Index: trunk/libIGCM/AA_job
===================================================================
--- trunk/libIGCM/AA_job	(revision 1436)
+++ trunk/libIGCM/AA_job	(revision 1437)
@@ -36,5 +36,5 @@
 #-Q- irene #MSUB -E '--cpu_bind=none'
 #-Q- irene #MSUB -T 86400              # Wall clock limit (seconds)
-#-Q- irene #MSUB -A gch0316
+#-Q- irene #MSUB -A ::default_project::
 #-Q- irene #MSUB -q skylake
 #-Q- irene #MSUB -m store,work,scratch
Index: trunk/libIGCM/AA_metrics_LMDZ
===================================================================
--- trunk/libIGCM/AA_metrics_LMDZ	(revision 1436)
+++ trunk/libIGCM/AA_metrics_LMDZ	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r METRICS_LMDZ   # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 14400          # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_metrics_NEMO
===================================================================
--- trunk/libIGCM/AA_metrics_NEMO	(revision 1436)
+++ trunk/libIGCM/AA_metrics_NEMO	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r METRICS_NEMO # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 14400        # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_metrics_ORCHIDEE
===================================================================
--- trunk/libIGCM/AA_metrics_ORCHIDEE	(revision 1436)
+++ trunk/libIGCM/AA_metrics_ORCHIDEE	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r METRICS_ORCHIDEE # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 714400           # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_monitoring
===================================================================
--- trunk/libIGCM/AA_monitoring	(revision 1436)
+++ trunk/libIGCM/AA_monitoring	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r MONITORING    # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1             # Number of cores
+#-Q- irene #MSUB -T 80000         # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_pack_debug
===================================================================
--- trunk/libIGCM/AA_pack_debug	(revision 1436)
+++ trunk/libIGCM/AA_pack_debug	(revision 1437)
@@ -11,4 +11,17 @@
 #-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r PACKDEBUG     # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1             # Number of cores
+#-Q- irene #MSUB -T 3600          # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_pack_output
===================================================================
--- trunk/libIGCM/AA_pack_output	(revision 1436)
+++ trunk/libIGCM/AA_pack_output	(revision 1437)
@@ -21,5 +21,5 @@
 #-Q- irene #MSUB -c 4
 #-Q- irene #MSUB -Q normal
-#-Q- irene #MSUB -A gch0316
+#-Q- irene #MSUB -A ::default_project::
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
Index: trunk/libIGCM/AA_pack_restart
===================================================================
--- trunk/libIGCM/AA_pack_restart	(revision 1436)
+++ trunk/libIGCM/AA_pack_restart	(revision 1437)
@@ -21,5 +21,5 @@
 #-Q- irene #MSUB -c 4 
 #-Q- irene #MSUB -Q normal
-#-Q- irene #MSUB -A gch0316
+#-Q- irene #MSUB -A ::default_project::
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
Index: trunk/libIGCM/AA_purge_simulation
===================================================================
--- trunk/libIGCM/AA_purge_simulation	(revision 1436)
+++ trunk/libIGCM/AA_purge_simulation	(revision 1437)
@@ -12,4 +12,5 @@
 # ID of your genci project. Curie only : post-processing jobs need it to run properly
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project:: 
+#-Q- irene export BRIDGE_MSUB_PROJECT=::default_project:: 
 
 #set -eu
Index: trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1436)
+++ trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1437)
@@ -13,4 +13,17 @@
 #-Q- curie #RUN_DIR_PATH=/dev/shm/REBUILD_DIR_MR_$$ # SSD high speed disk partition ; 64GB/node.  Along with -q xlarge
 #-Q- curie set +x
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r REBUILDWRK    # Job name
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n 1
+#-Q- irene #MSUB -T 36000         # Maximum elapsed time
+#-Q- irene #MSUB -q skylake 
+#-Q- irene #MSUB -c 4
+#-Q- irene #MSUB -Q normal
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/ins_job
===================================================================
--- trunk/libIGCM/ins_job	(revision 1436)
+++ trunk/libIGCM/ins_job	(revision 1437)
@@ -204,4 +204,20 @@
   # let check minimum/maximum value 1/${ProjectCoreMax}
 
+elif [ X"${SYSTEM}" == "Xirene" ] ; then
+  if ( ! ${x_p} ) ; then
+    ProjectID=$( ccc_myproject | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | head -n 1 )
+    ProjectID=${ProjectID:="gch0316"}
+    answer=""
+    print - "Hit Enter or give project ID (default is ${ProjectID}), possible projects are $( echo $( ccc_myproject | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | sort -u ) ) :"
+    read answer
+
+    if [ "X${answer}" != "X" ] ; then
+      ProjectID=${answer}
+    fi
+
+  fi # if ( ! ${x_p} )
+
+  echo  ProjectID is ${ProjectID} at Irene 
+
 elif [ X"${SYSTEM}" == "Xada" ] ; then
   if ( ! ${x_m} ) ; then
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_irene.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_irene.ksh	(revision 1436)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_irene.ksh	(revision 1437)
@@ -105,6 +105,6 @@
 fi
 
-# Use CMIP6 storage space when using CMIP6 cpu ressources
-[[ "X${PROJECT}" = "Xdevcmip6" && ! $(module list --terse 2>&1 | grep dfldatadir/gencmip6) ]] && module switch dfldatadir dfldatadir/gencmip6
+# Use CMIP6 storage space when using project id gch0316
+[[ "X${PROJECT}" = "Xgch0316" && ! $(module list --terse 2>&1 | grep dfldatadir/gencmip6) ]] && module switch dfldatadir dfldatadir/gencmip6
 
 # FYI