Index: /trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- /trunk/libIGCM/AA_SaveSourceModifications	(revision 1447)
+++ /trunk/libIGCM/AA_SaveSourceModifications	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 1447)
+++ /trunk/libIGCM/AA_additionnal	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ####MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1447)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1447)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1447)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1447)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 1447)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 1447)
+++ /trunk/libIGCM/AA_create_se	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 1447)
+++ /trunk/libIGCM/AA_create_ts	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 1447)
+++ /trunk/libIGCM/AA_job	(revision 1448)
@@ -38,5 +38,6 @@
 #-Q- irene #MSUB -A ::default_project::
 #-Q- irene #MSUB -q skylake
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene
 #-Q- irene BATCH_NUM_PROC_TOT=$BRIDGE_MSUB_NPROC
Index: /trunk/libIGCM/AA_metrics_LMDZ
===================================================================
--- /trunk/libIGCM/AA_metrics_LMDZ	(revision 1447)
+++ /trunk/libIGCM/AA_metrics_LMDZ	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_metrics_NEMO
===================================================================
--- /trunk/libIGCM/AA_metrics_NEMO	(revision 1447)
+++ /trunk/libIGCM/AA_metrics_NEMO	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_metrics_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_metrics_ORCHIDEE	(revision 1447)
+++ /trunk/libIGCM/AA_metrics_ORCHIDEE	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 1447)
+++ /trunk/libIGCM/AA_monitoring	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 1447)
+++ /trunk/libIGCM/AA_pack_debug	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 1447)
+++ /trunk/libIGCM/AA_pack_output	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 1447)
+++ /trunk/libIGCM/AA_pack_restart	(revision 1448)
@@ -22,5 +22,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1447)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1448)
@@ -24,5 +24,6 @@
 #-Q- irene #MSUB -Q normal
 #-Q- irene #MSUB -A ::default_project::
-#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene ###MSUB -m store,work,scratch
+#-Q- irene #MSUB -E '--licenses=fs_unshare,fs_work,fs_store,fs_scratch'
 #-Q- irene set +x
 #-Q- ada #!/bin/ksh